﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using Microsoft.VisualBasic;

namespace ADONET_Find
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        SqlDataAdapter da;
        DataSet ds;

        private void Form1_Load(object sender, EventArgs e)
        {
            //define a string e conexão
            string strCon = @"Data Source=.\SQLEXPRESS;AttachDbFilename=C:\dados\NORTHWND.MDF;Integrated Security=True;Connect Timeout=30;User Instance=True";
            // preenche a tabela Orders
            da = new SqlDataAdapter("SELECT * FROM Orders",strCon);
            //preenche um dataset e exibe no grid
            SqlCommandBuilder MyCmd = new SqlCommandBuilder(da);
            ds = new DataSet();
            da.Fill(ds);
            gdvOrders.DataSource = ds.Tables[0].DefaultView;

        }

        private void btnLocalizar_Click(object sender, EventArgs e)
        {
            //definindo a chave primária
            DataColumn[] chave = new DataColumn[1];
            chave[0] = ds.Tables[0].Columns[0];
            ds.Tables[0].PrimaryKey = chave;

            //abrindo o inputbox para pedir o número do pedido
            int n = Convert.ToInt32(Interaction.InputBox("Informe o número do pedido:", "Procurar", "1", 450, 400));

            //defina um DataRow
            DataRow linha;

            //usar o método Find para localizar a linha pelo número informado
            linha = ds.Tables[0].Rows.Find(n);

            //exibe os valores no formulário
            if (linha != null)
            {
                txtPedido.Text = linha[0].ToString();
                txtCustomerID.Text = linha[1].ToString();
                txtEmployeeID.Text = linha[2].ToString();
                txtOrderDate.Text = linha[3].ToString();
                txtShippedDate.Text = linha[4].ToString();
                txtShipAddress.Text = linha[9].ToString();
                txtShipCity.Text = linha[10].ToString();
            }
            else
                MessageBox.Show("Registro não localizado.");
        }

        
    }
}
